package com.ssj.service.conch.parents.dto;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.Date;

/**
 * @author yrf
 * @description
 * @time 2019/9/25 17:45
 */
public class HomeworkAccuracyRateDto implements Serializable {

    private static final long serialVersionUID = -6097740875526920895L;

    @JSONField(format = "MM.dd")
    private Date date;

    private Integer rate;

    @JSONField(serialize = false)
    private Integer wrongCount;

    @JSONField(serialize = false)
    private Integer totalCount;

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Integer getRate() {
        return rate;
    }

    public void setRate(Integer rate) {
        this.rate = rate;
    }

    public Integer getWrongCount() {
        return wrongCount;
    }

    public void setWrongCount(Integer wrongCount) {
        this.wrongCount = wrongCount;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }
}
